List Pix Devolutions
GET/v1/pix/devolutions
Retrieve a list of pix devolutions for the user. Use optional filter parameters to refine your search.
Request
Query Parameters
Default value: 1
Page number.
Possible values: <= 100
Default value: 20
Page size. Max size is 100.
Possible values: [created_at]
Page sort attribute.
Possible values: [asc, desc]
Default value: asc
Page order.
Created at period date start for any transaction.
Created at period date end for any transaction.
PixDevolution end to end id
Possible values: [PENDING, WAITING, WAITING_DELAYED, CONFIRMED, ERROR, FAILED, CANCELED]
PixDevolution State.
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Responses
- 200
- 400
- 401
- 422
The devolutions returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Page number.
Page size.
Page total.
Total of elements.
data object[]required
PixDevolutions data.
Devolution ID.
User defined devolution description.
Error returned when devolution is reverted.
Operation UUID. Used to get receipt and track the transaction.
Possible values: [DEVOLUTION_COMPLETED, DEVOLUTION_RECEIVED, DEPOSIT_RECEIVED, PAYMENT_COMPLETED, WALLET_ACCOUNT_BALANCE_UPDATED]
Transaction type.
End to End ID.
Payment txid identifier.
Value in R$ cents.
Possible values: [PENDING, WAITING, WAITING_DELAYED, CONFIRMED, ERROR, FAILED, CANCELED]
Devolution state.
The payment owner name.
Possible values: [CPF, CNPJ]
The payment owner person type.
The payment owner document.
The payment owner bank name.
The payment beneficiary name.
Possible values: [CPF, CNPJ]
The payment beneficiary person type.
The payment beneficiary document.
The payment beneficiary bank name.
Devolution created at.
{
"page": 1,
"page_size": 20,
"page_total": 20,
"total": 100,
"data": [
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"description": "The party devolution.",
"failed_message": "Não foi possível processar o seu pedido. Por favor tente novamente.",
"operation_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"type": "DEVOLUTION_COMPLETED",
"end_to_end_id": "string",
"txid": "f6e2e084-29b9-4935-a059-5473b13033aa",
"amount": 1299,
"state": "CONFIRMED",
"owner_name": "string",
"owner_person_type": "CPF",
"owner_document": "string",
"owner_bank_name": "string",
"beneficiary_name": "string",
"beneficiary_person_type": "CPF",
"beneficiary_document": "string",
"beneficiary_bank_name": "string",
"created_at": "2026-03-26T14:02:58.532Z"
}
]
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.